########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/al_chrtn.4gl  1.3  Delta: 9/4/90
########################################################################
database standard

############################################################
function al_chrtn(acct_no)
# returns acct_desc, cr_db
############################################################
# This function is passed an account number, and from
# that, it returns that accounts description, and it's
# type (either "CR" or "DB" type)
#
    define acct_no          like stxchrtr.acct_no,
           acct_desc        like stxchrtr.acct_desc,
           cr_db            char(2),
           inc_cr           like stxchrtr.incr_with_crdt

    select stxchrtr.acct_desc,stxchrtr.incr_with_crdt
        into acct_desc,inc_cr
            from stxchrtr
                where stxchrtr.acct_no = acct_no

    if sqlca.sqlcode = notfound
    then
        let sqlca.sqlcode = 0
        let acct_desc = "NOT FOUND"
        let cr_db = "  "
    end if

    if inc_cr = "Y"
    then
        let cr_db = "CR"
    else
        let cr_db = "DB"
    end if

    return acct_desc, cr_db

end function
# al_chrtn
