##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/al_deptc.4gl  1.1  Last Delta: 10/25/88
##############################################################################

#######################################################################
function al_deptc()
# Returns true if no departments have been defined, false otherwise.
#######################################################################
# This routine is use to check if any departments (other than
# the default department) exist.
#
    define
        counter smallint

    declare src_cursor cursor for
        select rowid from stxinfor where src_type = "D"

    let counter = 0

    foreach src_cursor
        let counter = counter + 1
    end foreach

    if counter > 1
    then
        return false
    end if

    return true

end function
# al_deptc()
