##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/r_bang.4gl  1.1  Last Delta: 10/25/88
##############################################################################

#######################################################################
function ring_bang()
# shell escape from the menu
#######################################################################
# This function permits the user to escape to shell if function
# ok_bang returns true.  The routine prompts the user for a system
# command and when the program has terminated invites the user to
# "Press [ENTER] to continue."
#
    define
        cmd char(80),
        x   char(1)

    # intelligent bang routine
    if ok_bang()
    then
        # no op
    else
        return
    end if

    call ring_clear()

    let x = "!"
    while x = "!"
        display " System:  Enter command or [DEL] to exit" at 1,1
        prompt " ! " for cmd
        if int_flag != 0
        then
            let int_flag = 0
            return
        end if
        run cmd
        prompt "Press [ENTER] to continue. " for char x
    end while
    let int_flag = 0
end function
# ring_bang()
