########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/tblexist.4gl  1.2  Delta: 9/4/90
########################################################################

#####################################################################
function table_exist(table_name)
# returns true if the specified table exists
#####################################################################
#
    define
        table_name char(18)

    whenever error continue
    select systables.tabname into table_name from systables
        where systables.tabname = table_name
    whenever error call error_handler

    if sqlca.sqlcode = notfound
    then
        let sqlca.sqlcode = 0
        return false
    end if
    if sqlca.sqlcode != 0
    then
        call error_handler()
    else
        return true
    end if
end function
# table_exist()

