########################################################################
# Copyright (C) 1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/xcontrol.4gl  1.4  Delta: 9/4/90
########################################################################

database standard

#######################################################################
function xcontrol()
# returns m_xcntrc record
#######################################################################
# This function reads the accounting control record, stxcntrc.*
# into m_xcntrc and returns m_xcntrc.  If the control record does
# not exist, for some reason, an error routine is called.
#
    define
        m_xcntrc record like stxcntrc.*  # record like the xcontrol file

    whenever error continue
    select * into m_xcntrc.* from stxcntrc
    if sqlca.sqlcode != 0
    then
        # cannot read the accounting control table
        let sqlca.sqlcode = 0
        call fg_error("lib_all","xcontrol",1) 
    end if
    whenever error call error_handler

    return m_xcntrc.*
end function
# xcontrol()
