#####################################################################
# Copyright (C) 1988,1989
# Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/al_ckrgz.4gl  1.2  Delta: 1/4/90
#####################################################################

database standard

#####################################################################
function al_ckrgz()
# returns acct_no, department
#####################################################################
# This function displays a zoom window to the check register 
# table and permits selection of the account number and department
# code which it then returns.
#
    define
        check_reg array[100] of record
            acct_no     like stxckrgr.acct_no,
            department  like stxckrgr.department,
            acct_desc   char(30)
        end record,
        acct_no     like stxckrgr.acct_no,
        department  like stxckrgr.department,
        counter             smallint

    open window infowind at 2, 3
        with form "../../lib.4gm/all.4gs/al_ckrgz" attribute (border, blue)

    call menu_line()
    display " Select an account number and press [ESC] to choose" at 1,1
    display " [DOWN ARROW] or [UP ARROW] to Scroll" at 2,1

    let counter = 1
    let acct_no = null
    let department = null

    declare ckrg_list cursor for
      select stxckrgr.acct_no, stxckrgr.department, stxchrtr.acct_desc
        from stxckrgr, outer stxchrtr
          where stxckrgr.acct_no = stxchrtr.acct_no
            order by stxckrgr.acct_no, stxckrgr.department

    open ckrg_list

    foreach ckrg_list into check_reg[counter].*
      let counter = counter + 1
      if counter > 100
      then
        exit foreach
      end if
    end foreach

    call set_count(counter -1)
    display array check_reg to b_xckrgr.*
    let counter = arr_curr()

    if int_flag != 0
    then
      let acct_no = null
      let department = null
      let int_flag = 0
      close window infowind
      return acct_no, department
    end if

    let acct_no = check_reg[counter].acct_no
    let department = check_reg[counter].department

    close window infowind

    return acct_no, department
end function
# al_ckrgz()

#######################################################################
function valid_cash_acct(cash_acct_no, cash_department)
#######################################################################
# return true if account number and department is defined as
# a cash account in the check register table
#
    define
        cash_acct_no like stxckrgr.acct_no,
        cash_department like stxckrgr.department,
        num_rows smallint

    select count(*) into num_rows from stxckrgr 
      where stxckrgr.acct_no = cash_acct_no and
            stxckrgr.department = cash_department 

    if num_rows > 0 then return true end if

    return false

end function
# valid_cash_acct()
