##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/al_deptz.4gl  1.8  Last Delta: 4/30/90
##############################################################################

database standard

############################################################
function al_deptz()
# returns rtn_key
############################################################
# This function displays a zoom window to the information 
# table and permits selection of the department code
# which it then returns.
#
    define
        src_type   char(1),
        source array[100] of record
            src_key         like stxinfor.src_key,
            src_desc        like stxinfor.src_desc
        end record,
        counter             smallint,
        pcurr               smallint,
        scurr               smallint,
        rtn_key             like stxchrtd.department

    let pcurr = arr_curr()
    let scurr = scr_line()

    open window deptwind at 11, 17
        with form "../../lib.4gm/all.4gs/al_deptz"
            attribute (border, blue)

    let counter = 1
    let rtn_key = ""
    let source[counter].src_key = ""
    declare src_list cursor for
       select stxinfor.src_key, stxinfor.src_desc
           from stxinfor where stxinfor.src_type = "D"
               order by stxinfor.src_key

    open src_list
    foreach src_list into source[counter].*
        display source[counter].* to s_xinfor[counter].*
        let counter = counter + 1
        if counter > 5
        then
            exit foreach
        end if
    end foreach

    call menu_line()

    display " Select a department and press [ESC] to choose" at 1,1
    display " [DOWN ARROW] or [UP ARROW] to Scroll" at 2,1

    let counter = 1
    open src_list
    foreach src_list into source[counter].*
      let counter = counter + 1
      if counter > 100
      then
        exit foreach
      end if
    end foreach

    call set_count(counter -1)

    display array source to s_xinfor.*
      on key (control-f)
        let counter = arr_curr()
        call al_addlz("stxinfor","D", source[counter].src_key, "")
    end display

    let counter = arr_curr()
    if int_flag != 0
    then
      let source[counter].src_key = ""
      let int_flag = 0
    end if
    let rtn_key = source[counter].src_key

    close window deptwind

    return rtn_key

end function
# al_deptz
