##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/al_grp_z.4gl  1.5  Last Delta: 12/11/89
##############################################################################

database standard

############################################################
function al_grp_z()
# returns source[counter].grp_key
############################################################
# This function displays a zoom window to the Account 
# group table and permits selection of the account
# number and returns the source code.
#
    define
        source array[100] of record
            grp_key         like stxactgr.grp_key,
            grp_desc         like stxactgr.grp_desc
        end record,
        counter smallint,
        curr    smallint,
        scurr   smallint

    let curr = arr_curr()
    let scurr = scr_line()

    open window dwindo at 10, 15
        with form "../../lib.4gm/all.4gs/al_grp_z"
            attribute (border, blue)

    display " Select an account group and press [ESC] to choose" at 1,1
    display " [DOWN ARROW] or [UP ARROW] to Scroll, [F3] or [F4] to Page" at 2,1

    call menu_line()

    declare dist_list cursor for
        select grp_key, grp_desc
            from stxactgr order by grp_key

    let counter = 1

    foreach dist_list into source[counter].*
        let counter = counter + 1
        if counter > 100
        then
            exit foreach
        end if
    end foreach

    call set_count(counter -1)

    Display array source to s_groupr.*
        on key (control-f)
            let counter = arr_curr()
            call al_addlz("stxactgr",source[counter].grp_key, "", "")
    end display

    let counter = arr_curr()

    close window dwindo

    if int_flag != 0
    then
        let source[counter].grp_key = ""
        let int_flag = 0
    end if

    return source[counter].grp_key

end function
