########################################################################
# Copyright (C) 1988,1989,1990
# FourGen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/get_mod.4gl  1.2  Delta: 4/27/90
########################################################################

globals "globals.4gl"

##########################################################################
function get_mod()
# returns module and program name
##########################################################################
# This function parses the "progid" variable to get the module and 
# program name.
#
    define
        module char(8),
        prog char(8),
        i smallint

    for i = 1 to 10
        if progid[i] = "."
        then
            exit for
        end if
    end for

    if i = 10
    then
        error "Invalid assignment of Program Id"
        return module, prog
    end if

    let module = progid[1,i-1]
    let prog = progid[i+1,i+8]

    return module, prog

end function
