##############################################################################
# Copyright 1988 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/instr.4gl  1.2  Last Delta: 12/11/89
##############################################################################

database standard

########################################################################
function instr(src,find_str)
# returning smallint (position of find_string within src)
########################################################################
# This function is passed two strings of up to 250 characters each.
# The find string contains the string to be found within the source
# string.  If the source string contains the find string the position 
# within the source string is returned, otherwise a 0 is returned.
#
    define
        src         char(250),      # source string
        find_str    char(250),      # find string
        src_len     smallint,       # length of the source string
        find_len    smallint,       # length of the find string
        n           smallint        # temp variable

    let src_len  = length(src)
    let find_len = length(find_str)

    for n = 1 to (src_len - find_len + 1)
        if src[n,n+find_len-1] = find_str[1,find_len]
        then
            return n
        end if
    end for

    return 0    # find_str not found in src.
end function
# instr
