##############################################################################
# Copyright 1989 Fourgen Software Technologies, Inc. Edmonds, Washington USA
# Use, modification, duplication, and/or distribution of this
# software is limited to the terms of the software agreement.
# Sccsid:  @(#)  .../lib.4gm/all.4gs/py_last.4gl  1.2  Last Delta: 5/22/89
##############################################################################

globals "py_glob.4gl"

########################################################################
function py_last()
# returns true/false based on pass/fail of the routine
########################################################################
#
# This routine checks if the document balances.
#
# status and description variables returned in the post_py record:
#  0 - Successful
#  1 - fg_error("lib_all","py_last", 1) - Payroll Isn't Installed
# 10 - fg_error("lib_all","py_last",10) - Document Doesn't Balance.
#
    # initialize variables
    let post_py.status = 0

    # check for installed
    if post_py.py_installed = "N"
    then
        let post_py.status = 1
        let post_py.description = "Payroll Isn't Installed"
        return true
    end if

    # make sure balancing accumulations match
    if post_py.py_c_accum + post_py.py_d_accum != post_py.py_i_accum or
        post_py.py_ox_accum != post_py.py_ol_accum
    then
        let post_py.status = 10
        let post_py.description = "Document Doesn't Balance"
        return false
    end if

    return true
end function
# py_last()
